import { Link } from '@inertiajs/react';

export default function NavLink({ active = false, className = '', children, ...props }) {
    return (
        <Link
            {...props}
            className={
                'inline-flex items-center px-1 pt-1 border-b-2 text-sm font-medium leading-5 transition duration-150 ease-in-out focus:outline-none ' +
                (active
                    ? ' text-gray-900 dark:text-gray-100 '
                    : 'border-transparent text-dark dark:text-gray-400 hover:text-gray-700 dark:focus:text-gray-300 hover:no-underline ') +
                className
            }
        >
            {children}
        </Link>
    );
}
